Last Comment Bug 1192688 - add ip to last used api key information
: add ip to last used api key information
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: API (show other bugs)
: Production
: Unspecified Unspecified
-- normal (vote)
: ---
Assigned To: Dylan Hardison [:dylan]
:
:
Mentors:
Depends on:
Blocks: 1193827
  Show dependency treegraph
 
Reported: 2015-08-09 19:12 PDT by Dylan Hardison [:dylan]
Modified: 2015-08-12 22:23 PDT (History)
5 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
1192688_1.patch (3.46 KB, patch)
2015-08-09 19:17 PDT, Dylan Hardison [:dylan]
dkl: review+
Details | Diff | Splinter Review

Description User image Dylan Hardison [:dylan] 2015-08-09 19:12:14 PDT
During my 1:1 with dkl, we talked about the last used info that's displayed with API Keys. One of the fallout items from that was storing the IP of the last use would be somewhat useful.
Comment 1 User image Dylan Hardison [:dylan] 2015-08-09 19:17:34 PDT
Created attachment 8645527 [details] [diff] [review]
1192688_1.patch

Note this patch conflicts with bug 1192687, I'll rebase whichever gets reviewed first.
Comment 2 User image Byron Jones ‹:glob› 2015-08-09 23:14:08 PDT
there's nothing security sensitive here, opening.
Comment 3 User image David Lawrence [:dkl] 2015-08-10 16:12:31 PDT
Comment on attachment 8645527 [details] [diff] [review]
1192688_1.patch

Review of attachment 8645527 [details] [diff] [review]:
-----------------------------------------------------------------

r=dkl
Comment 4 User image Dylan Hardison [:dylan] 2015-08-11 10:37:52 PDT
To ssh://gitolite3@git.mozilla.org/webtools/bmo/bugzilla.git
   fa7ae98..a2a7527  master -> master
Comment 5 User image Byron Jones ‹:glob› 2015-08-12 20:59:56 PDT
this change has schema changes and needs to be committed in two parts.  reopening to back out the non-schema parts.
Comment 6 User image Byron Jones ‹:glob› 2015-08-12 21:04:04 PDT
To ssh://gitolite3@git.mozilla.org/webtools/bmo/bugzilla.git
   87634bf..d4a86e6  master -> master
Comment 7 User image Byron Jones ‹:glob› 2015-08-12 22:23:13 PDT
To ssh://gitolite3@git.mozilla.org/webtools/bmo/bugzilla.git
   d4a86e6..6f14839  master -> master

Note You need to log in before you can comment on or make changes to this bug.